Bug 1469311 - [abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by signal 11
[abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b52da66298cf7f2bc6dc7d67393...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 20:01 EDT by Chris Murphy
Modified: 2017-08-15 02:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.71 KB, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: core_backtrace (14.44 KB, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: dso_list (19.80 KB, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: environ (1.99 KB, text/plain)
2017-07-10 20:01 EDT, Chris Murphy
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
File: maps (95.12 KB, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
File: open_fds (4.13 KB, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
File: var_log_messages (483 bytes, text/plain)
2017-07-10 20:02 EDT, Chris Murphy
no flags Details
gnome-software --verbose with crash (997.24 KB, text/plain)
2017-07-10 20:35 EDT, Chris Murphy
no flags Details
gnome software coredumpctl info (5.01 KB, text/plain)
2017-07-10 20:35 EDT, Chris Murphy
no flags Details
dmesg.txt (120.34 KB, text/plain)
2017-07-11 22:15 EDT, Chris Murphy
no flags Details
gnome-software --verbose with segfault at end (521.50 KB, text/plain)
2017-07-11 22:16 EDT, Chris Murphy
no flags Details
gnome software coredumpctl info #2 (5.05 KB, text/plain)
2017-07-11 22:17 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2017-07-10 20:01:51 EDT
Description of problem:
I'd just clicked to remove Boxes, and Software crashed.

Version-Release number of selected component:
gnome-software-3.25.3-5.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-software
journald_cursor: s=2f25c9402ff44b59944a46d766260dd3;i=2694;b=f60b104414bc45749d3a60d8922545a7;m=1e62aa6c;t=553ff21e95c60;x=f8fc9f5e2e3567ec
kernel:         4.13.0-0.rc0.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4057
 #1 gs_app_row_unreveal at ../src/gs-app-row.c:511
 #2 gs_installed_page_unreveal_row at ../src/gs-installed-page.c:102
 #3 gs_installed_page_app_removed at ../src/gs-installed-page.c:118
 #4 gs_page_app_removed_cb at ../src/gs-page.c:245
 #5 g_task_return_now at gtask.c:1145
 #6 complete_in_idle_cb at gtask.c:1159
 #11 g_main_context_iteration at gmain.c:3947
 #12 g_application_run at gapplication.c:2378
Comment 1 Chris Murphy 2017-07-10 20:01:55 EDT
Created attachment 1295971 [details]
File: backtrace
Comment 2 Chris Murphy 2017-07-10 20:01:56 EDT
Created attachment 1295972 [details]
File: cgroup
Comment 3 Chris Murphy 2017-07-10 20:01:57 EDT
Created attachment 1295973 [details]
File: core_backtrace
Comment 4 Chris Murphy 2017-07-10 20:01:58 EDT
Created attachment 1295974 [details]
File: cpuinfo
Comment 5 Chris Murphy 2017-07-10 20:01:59 EDT
Created attachment 1295975 [details]
File: dso_list
Comment 6 Chris Murphy 2017-07-10 20:01:59 EDT
Created attachment 1295976 [details]
File: environ
Comment 7 Chris Murphy 2017-07-10 20:02:00 EDT
Created attachment 1295977 [details]
File: exploitable
Comment 8 Chris Murphy 2017-07-10 20:02:01 EDT
Created attachment 1295978 [details]
File: limits
Comment 9 Chris Murphy 2017-07-10 20:02:03 EDT
Created attachment 1295979 [details]
File: maps
Comment 10 Chris Murphy 2017-07-10 20:02:04 EDT
Created attachment 1295980 [details]
File: open_fds
Comment 11 Chris Murphy 2017-07-10 20:02:04 EDT
Created attachment 1295981 [details]
File: proc_pid_status
Comment 12 Chris Murphy 2017-07-10 20:02:05 EDT
Created attachment 1295982 [details]
File: var_log_messages
Comment 13 Chris Murphy 2017-07-10 20:21:25 EDT
Similar problem has been detected:

Removed Documents application.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-software
journald_cursor: s=2f25c9402ff44b59944a46d766260dd3;i=2758;b=f60b104414bc45749d3a60d8922545a7;m=6cf29dc0;t=553ff70794fb4;x=5ddf2be1d2228680
kernel:         4.13.0-0.rc0.git3.1.fc27.x86_64
package:        gnome-software-3.25.3-5.fc27
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Chris Murphy 2017-07-10 20:34:31 EDT
Crash happens more often than not, so far 5 for 6 removals.
Comment 15 Chris Murphy 2017-07-10 20:35 EDT
Created attachment 1296003 [details]
gnome-software --verbose with crash
Comment 16 Chris Murphy 2017-07-10 20:35 EDT
Created attachment 1296004 [details]
gnome software coredumpctl info
Comment 17 Richard Hughes 2017-07-11 04:39:26 EDT
Can you explain exactly how you're doing this please (in mind-numbing detail...); I can't reproduce here on F27. Thanks!
Comment 18 Chris Murphy 2017-07-11 08:16:19 EDT
Launch Software, click the Installed tab, click Remove button next to the application. In the end, it might have crashed about 50% of the time.
Comment 19 Chris Murphy 2017-07-11 22:13:30 EDT
OK so I did a clean install using Fedora-Workstation-Live-x86_64-Rawhide-20170710.n.0.iso using all the defaults (auto install into free space). Reboot, login, launch Gnome-Software, wait for it to download metadata and present the Install tab at the top; click that, and then just start removing applications.

For whatever reason this time it took a while to get a crash, maybe 6 programs were deleted before Libreoffice Calc removal caused it to crash. And then deleted the rest without a single additional crash after that.
Comment 20 Chris Murphy 2017-07-11 22:15 EDT
Created attachment 1296659 [details]
dmesg.txt

Not very interesting prior to this:

 1070.949670] do_general_protection: 32 callbacks suppressed
[ 1070.949677] traps: gnome-software[3233] general protection ip:7f04d306c2e2 sp:7fff076116e0 error:0 in libgobject-2.0.so.0.5303.0[7f04d3036000+53000]
Comment 21 Chris Murphy 2017-07-11 22:16 EDT
Created attachment 1296660 [details]
gnome-software --verbose with segfault at end

Prior 10,000 lines right before and including the crash.
Comment 22 Chris Murphy 2017-07-11 22:17 EDT
Created attachment 1296661 [details]
gnome software coredumpctl info #2
Comment 23 Chris Murphy 2017-07-13 00:39:18 EDT
Tried i915 and radeon graphics, crash happens with both. And also switched to a 4.11.10 kernel, and it happens there too. Weirdly it happens much less when rootfs is XFS (1 out of 12 removals was a crash); and rootfs on ext4 crashed 1/2 the time, and rootfs on Btrfs crashes almost every time. But the sample size is small so who knows what that's all about.
Comment 24 Chris Murphy 2017-07-13 01:01:28 EDT
Still happens with enforcing=0 or selinux=0
Comment 25 Jan Kurik 2017-08-15 02:20:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.